Response fields
Response field descriptions
| Output container/field | Type | Description |
|---|---|---|
| itemId | string | The unique identifier of the listing in eBay RESTful format. For a single-variation listing, an example would be Occurrence: Always |
| legacyItemId | string | The numeric eBay item ID, in legacy (classic) format. Occurrence: Always |
| title | string | The title of the listing. This title can be created by the seller, or it may be the title used by an eBay catalog product if the seller listed the product based off of an eBay catalog product. Occurrence: Always |
| subtitle | string | An optional subtitle displayed below the listing title. Occurrence: Conditional |
| image | Image | The primary image for the listing. Occurrence: Conditional |
| additionalImages | array of Image | Additional images for the listing, beyond the primary image. Occurrence: Conditional |
| categoryId | string | The unique identifier of the listing category. Occurrence: Always |
| categoryIdPath | string | The pipe-delimited category IDs from root to leaf (e.g. Occurrence: Conditional |
| categoryPath | string | The pipe-delimited category display names from root to leaf. Occurrence: Always |
| listingMarketplaceId | string | The unique identifier of the eBay marketplace where an item is listed. Occurrence: Always |
| adultOnly | boolean | When Occurrence: Conditional |
| itemCreationDate | string | A timestamp indicating when the listing was created. UTC timestamps are used and have the following format: yyyy-MM-ddThh:mm:ss.sssZ. Occurrence: Always |
| itemEndDate | number | A timestamp indicating when the item's sale period will end based on its start date and duration. UTC timestamps are used and have the following format: yyyy-MM-ddThh:mm:ss.sssZ. Occurrence: Conditional |
| itemWebUrl | string | The URL of the View Item page of the listing or item variation within the listing. Occurrence: Always |
| itemAffiliateWebUrl | string | The URL of the View Item page of the item, with the affiliate tracking ID appended to it. Occurrence: Conditional |
| itemLocationCountry | string | The country where the item is physically located. Occurrence: Conditional |
| itemLocationCity | string | The city of the item's physical location. Occurrence: Conditional |
| itemLocationPostalCode | string | The postal code of the item's physical location. Occurrence: Conditional |
| itemLocationStateOrProvince | string | The state or province of the item's physical location. Occurrence: Conditional |
| lotSize | integer | The number of items in a lot listing. Returned as null for single-unit listings. Occurrence: Conditional |
| sellerItemRevision | string | The revision number of a seller's item. There are two types of item revisions:
Occurrence: Conditional |
| gtin | string | The unique Global Trade Item Number of the item. This can be a UPC (Universal Product Code) value, an EAN (European Article Number) value, or an ISBN (International Standard Book Number) value. Occurrence: Conditional |
| brand | string | The brand of the product. A value for this field will only be returned if 'Brand' is a defined item specific for the listing. Occurrence: Conditional |
| mpn | string | This value is the Manufacturer Part Number (MPN). An MPN value must always be paired with a brand value to make it a valid identifier. So, if a product has an MPN value, the brand value should also be referenced. Occurrence: Conditional |
| epid | string | This value is the eBay Product Identifier (ePID). Each eBay catalog product has a unique ePID value. Occurrence: Always |
| inferredEpid | string | The inferred eBay Product ID (ePID) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| sellerUsername | string | The eBay user ID of the seller. Occurrence: Always |
| sellerUserId | string | The unique identifier of an eBay user across all eBay sites. Occurrence: Conditional |
| sellerFeedbackPercentage | string | The percentage of the total positive feedback for the the seller. Occurrence: Always |
| sellerFeedbackScore | int | The feedback score of the seller. This value is based on the ratings from eBay members that bought items from this seller. Occurrence: Always |
| sellerAccountType | string | This field specifies whether the seller's account is registered as a business account or as an individual account. Occurrence: Conditional |
| sellerTrustLevel | SellerTrustLevelEnum | This enumeration value indicates the trust level rating of the seller. An empty value in this field may indicate that the eBay marketplace does not use these seller trust levels, or that the seller has a different rating other than the ones defined in the SellerTrustLevelEnum type. Occurrence: Conditional |
| priceValue | string | The price of the item. Occurrence: Always |
| priceCurrency | CurrencyCodeEnum | The currency used for the price of the item. Generally, this is the currency used by the country of the eBay marketplace offering the item. Occurrence: Always |
| originalPriceValue | string | This is the item's original price (a price that is displayed as struck-through in a View Item page). This field is only applicable to and returned when a seller uses the Strike Through Price (STP) feature for a listing. The actual price (aka 'discounted' price) can be seen in the priceValue field, and the currency used for this field and the priceValue field is shown in the priceCurrency field. Occurrence: Conditional |
| originalPriceCurrency | string | The currency of the originalPriveValue of the item. Occurrence: Conditional |
| discountAmountValue | string | The discount amount (value only) off an item's listing price after a coupon is applied. Occurrence: Conditional |
| discountAmountCurrency | CurrencyCodeEnum | The currency of the discountAmountValue field. Occurrence: Conditional |
| discountPercentage | string | The discount percentage off an item's listing price after a coupon is applied. Occurrence: Conditional |
| unitPriceValue | string | This field shows the price (value only) per weight, per volume, or per count of the item. For this value to mean something, the user must also look at the unitPricingMeasure field, which will show the weight/volume/count measurement unit such as 100 ml. Occurrence: Conditional |
| unitPriceCurrency | string | The currency of the unitPriceValue field. Occurrence: Conditional |
| unitPricingMeasure | string | This field shows the measurement used for unit pricing. In unit pricing, the unit price per weight, per volume, or per count is shown. An example would be 100 ml. And for this value to mean something, the user must also look at the unitPrice field, which will show the price per 100 ml. So, if the unitPrice value is 6.8 EUR, the unit price will be 6.8 EUR per 100 ml. This field is only applicable for eBay marketplaces and categories that support unit pricing. This feature helps buyers compare prices across products/brands. Occurrence: Conditional |
| conditionId | string | The unique identifier of the condition of an item. For a list of condition name and IDs, see Item condition ID and name values Occurrence: Conditional |
| condition | string | Text describing the condition of the item. For a list of item condition values (and their numeric IDs), see the Item Condition IDs and Names page. Occurrence: Always |
| conditionDescription | string | A seller-provided free-text description of the item's condition. Occurrence: Conditional |
| conditionDescriptors | array of ConditionDescriptor | This array is used by sellers to provide additional information about the condition of an item in a structured format. Condition descriptors are name-value attributes that indicate details about the particular condition of an item. Occurrence: Conditional |
| energyEfficiencyClass | string | This field shows the European energy efficiency rating (EEK) of the item. Data is returned in this column only if the seller specified the energy efficiency rating for the item. Occurrence: Conditional |
| estimatedAvailabilities | array of EstimatedAvailability | Availability and delivery information for the item. One entry per delivery option. Occurrence: Conditional |
| returnsAccepted | boolean | A value of Occurrence: Always |
| returnPeriodValue | integer | The number of days that the buyer has to return the item after the purchase date. For example, if this value is Occurrence: Conditional |
| returnPeriodUnit | string | The unit of the time span (e.g., Occurrence: Conditional |
| returnShippingCostPayer | string | This field indicates whether the buyer or seller is responsible for return shipping if an item is returned. Occurrence: Conditional |
| shippingOptions | array of ShippingOption | An array of the available shipping methods for the listing. The first entry is the primary (cheapest/default) method. Occurrence: Conditional |
| shipToLocations | ShipToLocations | Ship-to region inclusions and exclusions for the listing. Occurrence: Conditional |
| qualifiedPrograms | string | A pipe separated list of eBay programs that the listing qualifies for, such as Occurrence: Conditional |
| primaryItemGroupId | string | The unique identifier of the primary item group to which an item belongs. An item group is an item that has various aspect differences, such as color, size, storage capacity, etc. Occurrence: Conditional |
| primaryItemGroupType | string | The type of the parent item group. Always Occurrence: Conditional |
| localizedAspects | array of TypedNameValue | An array of item aspect name/value pairs that provide detailed information about an item or variation. Occurrence: Conditional |
| inferredLocalizedAspects | array of TypedNameValue | An array of the inferred item aspect name/value pairs that provide detailed information about an item or variation, programmatically determined by eBay. If a seller provided aspects for an item, the seller's values are returned in the localizedAspects array. Occurrence: Conditional |
| ageGroup | string | The age group(s) that the product is intended for. A value for this field will only be returned if age/age level/age range/age group is a defined item specific for the listing. The item specifics in the actual listing will most likely use age values/ranges, but the Buy Feed API maps these age values/ranges to the following values: newborn, infant, toddler, kids, or adult. Occurrence: Conditional |
| color | string | The color of the item. A value for this field will only be returned if 'Color' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| pattern | string | The item's pattern (classifier-derived, e.g. Solid, Striped). Occurrence: Conditional |
| size | string | The size of the item. A value for this field will only be returned if 'Size' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| gender | string | The specified gender that the item is intended for. A value for this field will only be returned if 'Gender' is a defined item specific or variation specific for the listing. Occurrence: Conditional |
| material | string | The material used for the product. A value for this field will only be returned if 'Material' is a defined item specific for the listing. Occurrence: Conditional |
| ecoParticipationFeeValue | string | The value of the eco-participation fee. Occurrence: Conditional |
| ecoParticipationFeeCurrency | string | The currency of the eco-participation fee. Occurrence: Conditional |
| sellerCustomPolicies | array of SellerCustomPolicy | Seller-defined custom policies for the item, such as take-back or product compliance policies. Occurrence: Conditional |
| hazardousMaterialsLabels | HazardousMaterialsLabels | The hazardous materials label information for an item. Occurrence: Conditional |
| productSafetyLabels | ProductSafetyLabels | The EU product safety label information for an item (distinct from GHS hazardous materials labels). Occurrence: Conditional |
| responsiblePersons | array of ResponsiblePerson | EU-required responsible persons / economic operator contacts for product compliance. Occurrence: Conditional |
| repairScore | string | A score that describes how easy it is to repair the product. Score values range from 0.1 (hardest to repair) to 10.0 (easiest to repair). Occurrence: Conditional |
| tyreLabelImageUrl | string | The URL of the tyre label image. Occurrence: Conditional |
| alerts | array of string | A list of alerts related to an item. Occurrence: Conditional |
| priorityListing | boolean | A value of Occurrence: Always |
| imageAlteringProhibited | boolean | A boolean that indicates whether the image(s) can be altered on a listing. If the value is Occurrence: Always |
| defaultImageUrl | string | The URL of the gallery image. Occurrence: Always |
| inferredGtin | string | The inferred Global Trade Item Number (GTIN) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| inferredBrand | string | The inferred brand of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| inferredMpn | string | The inferred Manufacturer Part Number (MPN) of an item, which has been programmatically determined by eBay using the item's title, aspects, and other data. Occurrence: Conditional |
| totalUnits | string | For an item that is priced by weight or length, this field shows the total number of units that are sale for one quantity of the item. For example, if the item is priced by weight, this field might show a value of Occurrence: Conditional |
| rank | string | The demand tier for the listing, as determined by eBay's sales velocity model. Occurrence: Conditional |
| imageQualityLevel | string | The quality level of the primary listing image, as determined by eBay's Neural Image Score (NIS) model. Occurrence: Conditional |
| imageContextClassification | string | The context classification of the primary listing image, as determined by eBay's Neural Image Lifestyle (NIL) model. Occurrence: Conditional |
| imageContentClassification | string | The content classification of the primary listing image, as determined by eBay's Neural Image Classification (NIC) model. Occurrence: Conditional |
| alternateProductImage | string | An alternate product image for the listing, as determined by eBay's image replacement model. Occurrence: Conditional |
| alternateTitle | string | An alternate title for the listing, as determined by eBay's Item Title Replacement (ITR) model. Occurrence: Conditional |
| shippingSpeedEstimates | string | A list of shipping speed estimates for the listing, grouped by postal code range, as determined by eBay's Item Level Velocity Score (ILVS) model. Occurrence: Conditional |